Gecode::Int::BinPacking::TellCache Class Reference

Record tell information. More...

## Public Member Functions

| TellCache (Region &region, int m)
| Initialize cache for at most m values.
void | nq (int j)
| Record that view must be different from j.
void | eq (int j)
| Record that view must be equal to j, return false if not possible.
ExecStatus | tell (Space &home, IntView x)
| Perform tell to view x and reset cache.

## Protected Attributes

int * | _nq
| Values (sorted) to be pruned from view.
int | _n_nq
| Number of values to be pruned.
int | _eq
| Value to which view should be assigned.

## Detailed Description

Record tell information.

Definition at line 60 of file propagate.cpp.

## Constructor & Destructor Documentation

## TellCache()

Gecode::Int::BinPacking::TellCache::TellCache | ( | Region & | region,
|  | int | m )

inline

Initialize cache for at most m values.

Definition at line 80 of file propagate.cpp.

## Member Function Documentation

## nq()

void Gecode::Int::BinPacking::TellCache::nq | ( | int | j | ) |

inline

Record that view must be different from j.

Definition at line 83 of file propagate.cpp.

## eq()

void Gecode::Int::BinPacking::TellCache::eq | ( | int | j | ) |

inline

Record that view must be equal to j, return false if not possible.

Definition at line 87 of file propagate.cpp.

## tell()

ExecStatus Gecode::Int::BinPacking::TellCache::tell | ( | Space & | home,
|  | IntView | x )

Perform tell to view x and reset cache.

Definition at line 95 of file propagate.cpp.

## Member Data Documentation

## _nq

int* Gecode::Int::BinPacking::TellCache::_nq

protected

Values (sorted) to be pruned from view.

Definition at line 63 of file propagate.cpp.

## _n_nq

int Gecode::Int::BinPacking::TellCache::_n_nq

protected

Number of values to be pruned.

Definition at line 65 of file propagate.cpp.

## _eq

int Gecode::Int::BinPacking::TellCache::_eq

protected

Value to which view should be assigned.

Definition at line 67 of file propagate.cpp.

The documentation for this class was generated from the following file:

- gecode/int/bin-packing/propagate.cpp